Learn more about Google Maps COVID-19 updates.

End of support for outdated Google Maps versions

To ensure a more reliable experience for users, Maps on Android will no longer work on app version 9.64 or below and Android version 4.3 or below after October 31, 2021.

Tip: Learn more about how to find your Google Maps app version and check your Android version.

Update Android app versions

If your app version is 9.64 or below, and your device is on Android 4.4 and above:

Tip: Maps Go is available on Android 4.4 and above.

Update issues

If you can't update your app, your version of Android OS no longer supports the newer version of the Google Maps app (If your device is on Android version 4.3 or below and your app version is 9.64 or below).

Was this helpful?
How can we improve it?
Search
Clear search
Close search
Google apps
Main menu
Search Help Center
true
76697
false